<!-- -------------------- ./mgmt/no_installed.html -------------------- -->
<!DOCTYPE html>
<html lang="fr">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1, shrink-to-fit=no"
    />
    <meta name="ROBOTS" content="NOINDEX, NOFOLLOW" />
    <link rel="icon" type="image/ico" href="<?php echo $this->FAVICO; ?>" />

    <link rel="stylesheet" href="/pub/css/mgmt.css" />
    <link rel="stylesheet" href="/pub/dsfr/dsfr.min.css" />
    <link rel="stylesheet" href="/pub/dsfr/utility/icons/icons.css" />
    <link rel="stylesheet" href="/pub/css/open-signature.css" />

    <title><?php echo $this->APPNAM; ?></title>

    <script type="module" src="/pub/dsfr/dsfr.module.min.js" defer></script>
    <script
      type="text/javascript"
      nomodule
      src="/pub/dsfr/dsfr.nomodule.min.js"
      defer
    ></script>
  </head>

  <body class="os-wrapper">
    <header role="banner" class="fr-header os-header">
      <div class="fr-header__body">
        <div class="fr-header__body-row">
          <div class="fr-header__brand">
            <div class="fr-header__brand-top">
              <div class="fr-header__logo os-logo">
                <img src="/pub/img/logosig2--dark.png" alt="Logo Signature" />
              </div>
              <div class="fr-header__navbar">
                <button
                  class="fr-btn--menu fr-btn"
                  data-fr-opened="false"
                  aria-controls="modal-main-menu"
                  aria-haspopup="menu"
                  title="Menu"
                  id="fr-btn-menu-mobile"
                >
                  Menu
                </button>
              </div>
            </div>
            <div class="fr-header__service">
              <h1 class="fr-header__service-title"><?php echo $this->APPNAM; ?></h1>
              <p class="fr-header__service-tagline">
                Plateforme de Signature Gironde Numerique
              </p>
            </div>
          </div>
          <div class="fr-header__tools">
            <div class="fr-header__tools-links">
              <ul class="fr-btns-group">
                <li>
                  <a
                    class="fr-btn fr-icon-refresh-line"
                    href="<?php echo $this->URL->GetAbsMgmtMethod('Index'); ?>"
                    >Vérifier à nouveau</a
                  >
                </li>
              </ul>
            </div>
          </div>
        </div>
      </div>
      <!-- Navigation principale, même si vide, le laisser pour éviter une erreur JS du DSFR -->
      <div
        class="fr-header__menu fr-modal"
        id="modal-main-menu"
        aria-labelledby="fr-btn-menu-mobile"
      >
        <div class="fr-container">
          <button
            class="fr-btn--close fr-btn"
            aria-controls="modal-main-menu"
            title="Fermer"
          >
            Fermer
          </button>
          <div class="fr-header__menu-links"></div>
          <nav
            class="fr-nav"
            id="navigation-main-menu"
            role="navigation"
            aria-label="Menu principal"
          >
            <ul class="fr-nav__list"></ul>
          </nav>
        </div>
      </div>
    </header>

    <main class="os-main-content technical-check">
      <h2 class="fr-h3">Vérification des pré-requis technique</h2>

      <ul>
        <?php 
     foreach($this->INSTALLSTATUS as $key=>$val) : if ( $key == "global" )
        continue; if ( $val['status'] == "OK" ) { $icoclass = "fr-badge
        fr-badge--success"; } else { $icoclass = "fr-badge fr-badge--error"; }
        ?>
        <li>
          <span class="<?php echo $icoclass; ?>" aria-hidden="true"></span>
          <?php echo $val["title"]; ?>
        </li>
        <?php endforeach; ?>
      </ul>

      <hr />

      <h2 class="fr-h3">Points à vérifier manuellement</h2>

      <ul>
        <li>
          <span class="fr-badge fr-badge--info" aria-hidden="true"></span>
          Assurez vous que votre compte OVH pour envoi de SMS est configuré dans
          ./config/Config.php
        </li>
        <li>
          <span class="fr-badge fr-badge--info" aria-hidden="true"></span>
          Assurez vous que votre serveur de mail est bien paramétré dans
          ./config/MailConfig.sh
        </li>
      </ul>
    </main>
  </body>
</html>
